# miniwol
Small web server to send Wake-on-LAN requests to its local network

## Features
- Fully static frontend without JS
- Binary includes everything except config

## Installation
Run `go install git.ulra.eu/adro/miniwol@latest`, resulting in a binary `~/go/bin/miniwol`.
Move this binary to e.G. `/usr/bin/miniwol` to run it like any command.

Examples include a simple systemd service to have it start automatically.

## Usage
Add an empty config. The program uses, in order of priority, `./config.toml`, `./config/config.toml` and `/etc/miniwol/config.toml`. Make sure miniwol can write to it as all persistant data is saved here.

Set a password using `miniwol setpass <password>`. This will also add any missing defaults to the config.

Run the webserver using `miniwol` or `miniwol web` .

Sessions are in-memory. Restarting the webserver clears all sessions.
